this.name					= "mil_injectors.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for military fuel injector upgrade";
this.version				= "1.03";

this.startUp = this.shipWillExitWitchspace = function()
	{ this.active = "NO"; }

this.shipWillLaunchFromStation = function()
	{
	if(player.ship.equipmentStatus("EQ_FUEL_INJECTION") !== "EQUIPMENT_OK" || player.ship.equipmentStatus("EQ_MIL_INJECTION") !== "EQUIPMENT_OK")
		{ return; }
	this.active = "NO";
	this.startFuelTimer();
	}
	
this.startFuelTimer = function()
	{
	this.fuelFlag = 0;
	if(this.fuelWatchTimer)
		{ this.fuelWatchTimer.start(); }
	else
		{ this.fuelWatchTimer = new Timer(this, this.checkSpeed,0,1); }
	}

this.shipWillDockWithStation = this.shipDied = this.stopFuelTimer = function()
	{
	this.fuelFlag = 0;
	this.active = "NO";
	if(this.fuelWatchTimer && this.fuelWatchTimer.isRunning) { this.fuelWatchTimer.stop(); } 
	}
	
this.checkSpeed = function()
	{
	if(player.ship.equipmentStatus("EQ_FUEL_INJECTION") !== "EQUIPMENT_OK" || player.ship.equipmentStatus("EQ_MIL_INJECTION") !== "EQUIPMENT_OK") 
		{ 
		this.stopFuelTimer();
		return;
		}

	
	if(player.ship.speed == 7 * player.ship.maxSpeed) // if the ship is under fuel injection (FI is speed x 7, torus is speed x 32)
		{ //  increment flag, looping between 0 and 9
		this.active = "YES";
		this.fuelFlag += 1;
		this.fuelFlag = this.fuelFlag % 8;	
		}
	else
		{
		this.active = "NO";
		return; 
		} // if not under fuel injection, exit function
		
	if(this.fuelFlag == 7) // every 8th second under fuel injection
		{ player.ship.fuel += 0.1; }
	}
